Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ServiceDetail_out Class Reference

`#include <Services.h>`

Collaboration diagram for CORBA_ServiceDetail_out:

[legend]
List of all members.

## Public Methods
| CORBA_ServiceDetail_out (CORBA_ServiceDetail *&)
| CORBA_ServiceDetail_out (CORBA_ServiceDetail_var &)
| CORBA_ServiceDetail_out (const CORBA_ServiceDetail_out &)
CORBA_ServiceDetail_out & | operator= (const CORBA_ServiceDetail_out &)
CORBA_ServiceDetail_out & | operator= (CORBA_ServiceDetail *)
| operator CORBA_ServiceDetail *& ()
CORBA_ServiceDetail *& | ptr (void)
CORBA_ServiceDetail * | operator-> (void)
## Private Methods
void | operator= (const CORBA_ServiceDetail_var &)
## Private Attributes
CORBA_ServiceDetail *& | ptr_
| assignment from T_var not allowed. More...

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ServiceDetail_out::CORBA_ServiceDetail_out | ( | CORBA_ServiceDetail *& | p | ) |

ACE_INLINE CORBA_ServiceDetail_out::CORBA_ServiceDetail_out | ( | CORBA_ServiceDetail_var & | p | ) |

ACE_INLINE CORBA_ServiceDetail_out::CORBA_ServiceDetail_out | ( | const CORBA_ServiceDetail_out & | p | ) |

## Member Function Documentation

ACE_INLINE CORBA_ServiceDetail_out::operator CORBA_ServiceDetail *& | ( |  | ) |

ACE_INLINE CORBA_ServiceDetail * CORBA_ServiceDetail_out::operator-> | ( | void |  | ) |

void CORBA_ServiceDetail_out::operator= | ( | const CORBA_ServiceDetail_var & |  | ) | `[private]`

ACE_INLINE CORBA_ServiceDetail_out & CORBA_ServiceDetail_out::operator= | ( | CORBA_ServiceDetail * | p | ) |

ACE_INLINE CORBA_ServiceDetail_out & CORBA_ServiceDetail_out::operator= | ( | const CORBA_ServiceDetail_out & | p | ) |

ACE_INLINE CORBA_ServiceDetail *& CORBA_ServiceDetail_out::ptr | ( | void |  | ) |

## Member Data Documentation

CORBA_ServiceDetail*& CORBA_ServiceDetail_out::ptr_`[private]`

| assignment from T_var not allowed.

The documentation for this class was generated from the following files:

- Services.h
- Services.i